Before posting, please read: When to use this forum, when to submit a help ticket

Author Topic: iPad 1 support  (Read 5037 times)

arlo

  • Administrator
  • Senior Member
  • *****
  • Posts: 3562
  • Karma: +82/-3
iPad 1 support
« on: July 07, 2015, 04:45:27 PM »
I haven't seen an official announcement about this, but it looks like the iPad 1 has finally been abandoned by Apple. The developer tools for the iOS 9 beta do not support it. That means when Apple starts requiring the new developer tools for new app versions, probably early next year, app developers will no longer be able to release versions that run on the iPad 1.

If you're still using an iPad 1, this is a good time to start considering an upgrade. The iPad Air 2 is a great device, and is the minimum device required to use the new split-screen / dual-app feature in iOS 9. There are also rumors of a larger-screen "iPad Pro" coming later this year, but I wouldn't hold my breath for that.

I'll post again here if iPad 1 support is restored before the iOS 9 final release, and when I know its exact end-of-life date.

arlo

  • Administrator
  • Senior Member
  • *****
  • Posts: 3562
  • Karma: +82/-3
Re: iPad 1 support
« Reply #1 on: August 12, 2015, 08:08:46 PM »
The iPad 1 is still not supported in the developer tools, and I've found that if I optimize my apps for iOS 9, they won't install on iOS 5. This means I'll have to end iPad 1 support before early next year, because I will want to offer split-screen and other iOS 9 features sooner than that.

So, my current plan is to release the upcoming Set List Maker 4.2 and BandHelper 2.4 in mid-September, with iOS 5 support, and tested for iOS 9, but not offering any features that require iOS 9. I'll release the next few bug fix updates with the same compatibility. But as soon as the new versions stabilize, hopefully by the end of October, I will end iPad 1 support and release the first versions optimized for iOS 9. At that point, you will still be able to run Set List Maker and BandHelper on an iPad 1, but you will receive no further app updates.

arlo

  • Administrator
  • Senior Member
  • *****
  • Posts: 3562
  • Karma: +82/-3
Re: iPad 1 support
« Reply #2 on: August 17, 2015, 08:36:53 AM »
I was thinking that when I raise the minimum iOS version above iOS 5, I will raise it to iOS 7. But I just heard from one person who is still using iOS 6 for compatibility with an older iPad accessory. Does anyone else still have a need for iOS 6 support? If I retain support for iOS 6, I will need some beta testers for that, because I don't have any devices running iOS 6 and Apple's testing tools no longer support it.

Christoph

  • Senior Member
  • ****
  • Posts: 86
  • Karma: +6/-0
    • T-Rock
Re: iPad 1 support
« Reply #3 on: August 18, 2015, 01:25:47 AM »
iOS 6 could be relevant for the 4th generation iPod Touch. From what I know this and the iPhone 3GS are the only devices where 6 is the latest iOS version available. I do have one of these iPods (and by the way love it because I still prefer the pre-7 UI look) and could do some beta testing. But I doubt that there would be widespread need for iOS6 support since there are lots of newer generation devices around. And the old ones still would run Set List Maker and BandHelper in the foreseeable future, just without further updates. So if it were up to me, just wait until the next app versions are quite stable and after that go without any compromise to the very latest Apple developer tools and whatever iOS versions they support.

arlo

  • Administrator
  • Senior Member
  • *****
  • Posts: 3562
  • Karma: +82/-3
Re: iPad 1 support
« Reply #4 on: September 09, 2015, 12:31:53 PM »
Apple did announce an iPad Pro today, with a 12.9" screen:

http://www.apple.com/ipad-pro/

This will be a great option for using Set List Maker and BandHelper on stage. With custom layouts, you can use the extra screen space for more buttons and info, or make your existing buttons and info bigger, or run my app on one half of the screen and another app on the other half.

The iPad Air 2 remains the same, and the iPad Mini has been upgraded to version 4.
« Last Edit: September 09, 2015, 01:50:04 PM by arlo »

arlo

  • Administrator
  • Senior Member
  • *****
  • Posts: 3562
  • Karma: +82/-3
Re: iPad 1 support
« Reply #5 on: October 08, 2015, 05:12:27 PM »
I just submitted Set List Maker 4.2.3 and BandHelper 2.4.3 for iOS. These clean up the remaining issues from the big new release, plus a few miscellaneous improvements for the iPad 1:

http://www.arlomedia.com/apps/setlistmaker/support/release_notes.html
http://www.bandhelper.com/support/release_notes.html

I would like this to be the last release that supports iOS 5-6. If no issues come up from this release, I will raise the iOS app requirements to iOS 7, and iOS 5-6 users will not be able to install any later releases.

arlo

  • Administrator
  • Senior Member
  • *****
  • Posts: 3562
  • Karma: +82/-3
Re: iPad 1 support
« Reply #6 on: October 26, 2015, 07:16:30 PM »
Apple still has not approved version 4.2.3, submitted 18 days ago, so I gave up and submitted the version 4.2.4 that I've been working on since then. This will include all the updates from version 4.2.3, and will still run on an iPad 1, but if no issues come up from that version, that will be the last version for the iPad 1.

arlo

  • Administrator
  • Senior Member
  • *****
  • Posts: 3562
  • Karma: +82/-3
Re: iPad 1 support
« Reply #7 on: November 05, 2015, 11:36:35 AM »
I've just submitted Set List Maker 4.2.5 and BandHelper 2.4.5, which require iOS 7 or later, so iPad 1 support is now officially over. Sorry, iPad 1 people! You can still use the app and I will still do tech support, but I can no longer release updates or fix bugs for that device. Also, it is likely that the database syncing and device linking features will eventually break as the app's data structure evolves. But the version you have installed should continue working as a standalone app for the remaining lifetime of your device.
« Last Edit: November 16, 2015, 10:06:37 AM by arlo »